std::numeric_limits< unsigned long long > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr unsigned long long | denorm_min () noexcept
static constexpr unsigned long long | epsilon () noexcept
static constexpr unsigned long long | infinity () noexcept
static constexpr unsigned long long | lowest () noexcept
static constexpr unsigned long long | max () noexcept
static constexpr unsigned long long | min () noexcept
static constexpr unsigned long long | quiet_NaN () noexcept
static constexpr unsigned long long | round_error () noexcept
static constexpr unsigned long long | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<unsigned long long> specialization.

Definition at line 1409 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1467 of file limits.

## epsilon()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 1437 of file limits.

## infinity()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 1455 of file limits.

## lowest()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 1421 of file limits.

## max()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 1417 of file limits.

## min()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1414 of file limits.

## quiet_NaN()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1459 of file limits.

## round_error()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 1440 of file limits.

## signaling_NaN()

static constexpr unsigned long long std::numeric_limits< unsigned long long >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1463 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< unsigned long long >::digits

static constexpr

Definition at line 1424 of file limits.

## digits10

constexpr int std::numeric_limits< unsigned long long >::digits10

static constexpr

Definition at line 1426 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< unsigned long long >::has_denorm

static constexpr

Definition at line 1450 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< unsigned long long >::has_denorm_loss

static constexpr

Definition at line 1452 of file limits.

## has_infinity

constexpr bool std::numeric_limits< unsigned long long >::has_infinity

static constexpr

Definition at line 1447 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< unsigned long long >::has_quiet_NaN

static constexpr

Definition at line 1448 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< unsigned long long >::has_signaling_NaN

static constexpr

Definition at line 1449 of file limits.

## is_bounded

constexpr bool std::numeric_limits< unsigned long long >::is_bounded

static constexpr

Definition at line 1471 of file limits.

## is_exact

constexpr bool std::numeric_limits< unsigned long long >::is_exact

static constexpr

Definition at line 1433 of file limits.

## is_iec559

constexpr bool std::numeric_limits< unsigned long long >::is_iec559

static constexpr

Definition at line 1470 of file limits.

## is_integer

constexpr bool std::numeric_limits< unsigned long long >::is_integer

static constexpr

Definition at line 1432 of file limits.

## is_modulo

constexpr bool std::numeric_limits< unsigned long long >::is_modulo

static constexpr

Definition at line 1472 of file limits.

## is_signed

constexpr bool std::numeric_limits< unsigned long long >::is_signed

static constexpr

Definition at line 1431 of file limits.

## is_specialized

constexpr bool std::numeric_limits< unsigned long long >::is_specialized

static constexpr

Definition at line 1411 of file limits.

## max_digits10

constexpr int std::numeric_limits< unsigned long long >::max_digits10

static constexpr

Definition at line 1429 of file limits.

## max_exponent

constexpr int std::numeric_limits< unsigned long long >::max_exponent

static constexpr

Definition at line 1444 of file limits.

## max_exponent10

constexpr int std::numeric_limits< unsigned long long >::max_exponent10

static constexpr

Definition at line 1445 of file limits.

## min_exponent

constexpr int std::numeric_limits< unsigned long long >::min_exponent

static constexpr

Definition at line 1442 of file limits.

## min_exponent10

constexpr int std::numeric_limits< unsigned long long >::min_exponent10

static constexpr

Definition at line 1443 of file limits.

## radix

constexpr int std::numeric_limits< unsigned long long >::radix

static constexpr

Definition at line 1434 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< unsigned long long >::round_style

static constexpr

Definition at line 1476 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< unsigned long long >::tinyness_before

static constexpr

Definition at line 1475 of file limits.

## traps

constexpr bool std::numeric_limits< unsigned long long >::traps

static constexpr

Definition at line 1474 of file limits.

The documentation for this struct was generated from the following file:

- limits